## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate ammonia

Name:           rust-ammonia
Version:        3.3.0
Release:        %autorelease
Summary:        HTML Sanitization

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/ammonia
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
HTML Sanitization.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/RELEASE_PROCESS.md
%doc %{crate_instdir}/SECURITY.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Mar 29 2023 Fabio Valentini <decathorpe@gmail.com> - 3.3.0-1
- Update to version 3.3.0

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Feb 25 2022 Fabio Valentini <decathorpe@gmail.com> - 3.1.4-1
- Update to version 3.1.4; Fixes RHBZ#2055418

* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> - 3.1.3-1
- Update to version 3.1.3; Fixes RHBZ#2042691

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jul 08 2021 Fabio Valentini <decathorpe@gmail.com> - 3.1.2-1
- Update to version 3.1.2; Fixes RHBZ#1980546

* Fri Mar 05 2021 Fabio Valentini <decathorpe@gmail.com> - 3.1.1-1
- Update to version 3.1.1.
- Fixes RHBZ#1935516

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Mar 11 2020 Josh Stone <jistone@redhat.com> - 3.1.0-2
- Rebuild

* Tue Mar 10 2020 Josh Stone <jistone@redhat.com> - 3.1.0-1
- Update to 3.1.0

* Sat Feb 15 16:04:39 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 3.0.0-3
- Upgrade html5ever to 0.25

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Sep 13 18:46:14 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 3.0.0-1
- Release 3.0.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 30 11:53:31 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.1.2-1
- Update to 2.1.2

* Sat Jun 22 19:51:00 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.1.1-2
- Regenerate

* Thu May 09 08:23:15 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.1.1-1
- Update to 2.1.1

* Sun May 05 12:45:51 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.1.0-2
- Update html5ever to 0.23

* Tue Apr 30 08:38:51 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.1.0-1
- Update to 2.1.0

* Mon Mar 11 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0.0-1
- Initial package

## END: Generated by rpmautospec
